#!/bin/bash
#Program:
# 输入文件路径判断文件的类型，并输出文件的权限信息
#History
# 2024/07/13 LouisFonda<yigenocng@yahoo.com> 

# 1 让使用者输入文件名，并且判断使用者是否真的有输入字符串。
echo -e "请输入文件名，我将检查文件类型和权限。\n\n"
read -p "文件名：" fileName
test -z ${fileName} && echo "你必须输入文件路名！" && exit 0
# 2 判断文件是否存在？若不存在则显示讯息并结束脚本
test ! -e ${fileName} && echo "你输入的文件不存在" && exit 0
# 3 开始判断文件类型与属性
test -f ${fileName} && fileType="常规文件"
test -d ${fileName} && fileType="文件夹"
test -r ${fileName} && perm="可读"
test -w ${fileName} && perm="${perm} 可写"
test -x ${fileName} && perm="${perm} 可执行"
# 4 开始输出信息
echo "文件: ${fileName} is ${fileType}"
echo "你对文件拥有的权限是: ${perm}"